/*
  Copyright (C) 2013 Harry

 This file is part of spacewar.

 spacewar is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 spacewar is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with spacewar.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "weaver/weaver.h"
#include "game.h"

int main(int argc, char **argv){
  camera *cam = new_camera(0.0, 0.0, 800.0, 800.0);
  awake_the_weaver(); // Initializing Weaver API
  initialize_star();
  initialize_ships(2);
  hide_cursor();
  limit_camera(cam, (window_width - 800)/2, (window_height - 800)/2,
	       800, 800);

  // Main loop
  for(;;){
    get_input();
    erase_ships(cam);
    if(keyboard[ESC]){
      break;
    }
    update_star();
    film_ships(cam);

    weaver_rest(10000000);
  }

  destroy_star();
  destroy_ships();
  may_the_weaver_sleep();
  return 0;
}
